import { writable } from 'svelte/store';
// stores for main map
import mapbox from 'mapbox-gl';
const key = Symbol();
export { mapbox, key };
// stores for main draw
import MapboxDraw from '@mapbox/mapbox-gl-draw';
console.log(MapboxDraw.constants.sources.COLD);
const drawkey = Symbol();
export { MapboxDraw, drawkey };
// stores for background selection panel
export const luftbild_checked = writable(false);
export const dem_checked = writable(false);
export const dem_opacity = writable(60);
export const swissimage_opacity = writable(25);
export const basemap_opacity = writable(100);
export const layer_selection = writable([]);
export const layer_order = writable(0);
// stores for tab (kultur or betrieb) selection panel
export const selected_tab = writable(1);
// stores for kultur ansischt
export const selected_field = writable();
// which modals are visible
export const visible_datenabgleich = writable(false);
export const visible_hintergrund = writable(false);
export const visible_navigation = writable(false);
export const visible_kulturenabgleich = writable(false);
// user stores for session data
export const gelan_data = writable();
export const diff = writable();
export const finalise_data = writable(0);
export const popover_info = writable({ popoverinfo_dem: false, popoverinfo_luftbild: false });
