/// <reference types="svelte" />
import mapbox from 'mapbox-gl';
declare const key: unique symbol;
export { mapbox, key };
import MapboxDraw from '@mapbox/mapbox-gl-draw';
declare const drawkey: unique symbol;
export { MapboxDraw, drawkey };
export declare const luftbild_checked: import("svelte/store").Writable<boolean>;
export declare const dem_checked: import("svelte/store").Writable<boolean>;
export declare const dem_opacity: import("svelte/store").Writable<number>;
export declare const swissimage_opacity: import("svelte/store").Writable<number>;
export declare const basemap_opacity: import("svelte/store").Writable<number>;
export declare const layer_selection: import("svelte/store").Writable<never[]>;
export declare const layer_order: import("svelte/store").Writable<number>;
export declare const selected_tab: import("svelte/store").Writable<number>;
export declare const selected_field: import("svelte/store").Writable<unknown>;
export declare const visible_datenabgleich: import("svelte/store").Writable<boolean>;
export declare const visible_hintergrund: import("svelte/store").Writable<boolean>;
export declare const visible_navigation: import("svelte/store").Writable<boolean>;
export declare const visible_kulturenabgleich: import("svelte/store").Writable<boolean>;
export declare const gelan_data: import("svelte/store").Writable<unknown>;
export declare const diff: import("svelte/store").Writable<unknown>;
export declare const finalise_data: import("svelte/store").Writable<number>;
export declare const popover_info: import("svelte/store").Writable<{
    popoverinfo_dem: boolean;
    popoverinfo_luftbild: boolean;
}>;
